<?php
echo "<div class='event'><h1>Покупка баксов</h1></div>";
echo "<div class='block'>";

$action=htmlspecialchars(trim($_GET['action']));

switch ($action){
default:

echo "Курс: <b>1</b><img width='16' height='16' src='img/icons/zkl.png' alt='' class='*'/> » <b>100</b><img src='img/icons/baks.png' alt='' class='*'/><br/>";
echo "<div class='hr'></div>";
echo "Введите сумму:</br>";
echo '<form action="?obmens&action=change" method="post">';

echo '<input name="num" type="text" value=""/>';
echo '<select name="obm" size="1">';
echo '<option value="1">Купить</option>';
//echo '<option value="2">Продать баксов</option></select>';
echo '</br><input type="submit" value="Далее"/>';
echo '</form>';

break;


case 'change':
$num=(int)$_POST['num'];
$obm=(int)$_POST['obm'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($obm==1) {
if($ku['zkl']<$num){echo 'У вас нет столько ключей!';
echo "<div class='block'><img src='img/icons/left.png' alt='' class='*'/> <a href='?obmens'>Назад</a></div>";
break;
};
$baks=$num*100;
mysql_query("UPDATE `kolhoz_user` SET `almaz`=`almaz`+'$baks',`zkl`=`zkl`-'$num' WHERE `id`='".$ku['id']."'");
header("Location:?obmens");
break;
};
if($obm==2) {
if($ku['zkl']<$num){echo 'У вас нет столько ключей!';
echo "<img src='img/icons/left.png' alt='' class='*'/> <a href='?obmens'>Назад</a>";
break;
};
if($ku['zkl']<1){echo 'Не достаточно ключей!';
break;
};
$baks=$num/1;
mysql_query("UPDATE `kolhoz_user` SET `zkl`=`zkl`+'$baks',`almaz`=`almaz`-'$num' WHERE `id`='".$ku['id']."'");
echo "<center><div class='bubl'>";
header("Location:?obmens");
break;
};
};



include_once 'inc/foot.php';
?>